Bug 220422 - gnome-screensaver will hang if users account is unhealthy
gnome-screensaver will hang if users account is unhealthy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-screensaver (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 01:18 EST by Ray Strode [halfline]
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 09:18:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 387572 None None None Never

  None (edit)
Description Ray Strode [halfline] 2006-12-21 01:18:24 EST
Jon just filed a bug upstream:

http://bugzilla.gnome.org/show_bug.cgi?id=387572

We aren't handling the account management pam apis in a helper thread and that
causes the lock dialog to hang if a user's password has expired.

We should fix this for GA.
Comment 3 Jonathan Blandford 2007-01-04 11:37:23 EST
Patch exists upstream.  
Comment 4 Ray Strode [halfline] 2007-01-08 20:08:40 EST
should be fixed in
gnome-screensaver-2.16.1-5.el5

Note there are testing instructions on the upstream report
Comment 5 Zack Cerza 2007-01-09 12:41:57 EST
Verified.
Comment 6 Jay Turner 2007-01-15 09:18:02 EST
gnome-screensaver-2.16.1-5.el5 included in 20070111.1 and 20070112.3 trees.

Note You need to log in before you can comment on or make changes to this bug.